Summary: Creates and maintains device files in /dev.
Name: MAKEDEV
Version: 2.5
Release: 6mdk
Copyright: none
Group: System/Kernel and hardware
Source: ftp://tsx-11.mit.edu/pub/linux/sources/sbin/MAKEDEV-%{PACKAGE_VERSION}.tar.bz2
Requires: /bin/sh fileutils shadow-utils >= 970616-7
Prereq: shadow-utils
# n.b. prerequires shadow-utils >= 970616-7; rpm understands that
BuildArchitectures: noarch
BuildRoot: /var/tmp/MAKEDEV-root

%description
This package contains the MAKEDEV script, which makes it easier to create
and maintain the files in the /dev directory.  /dev directory files 
correspond to a particular device supported by Linux (serial or printer 
ports, scanners, sound cards, tape drives, CD-ROM drives, hard drives, 
etc.) and interface with the drivers in the kernel.

You should install the MAKEDEV package because the MAKEDEV utility makes 
it easy to manage the /dev directory device files.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/dev
mkdir -p $RPM_BUILD_ROOT/usr/man/man8

make ROOT=$RPM_BUILD_ROOT install

find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
	| grep troff | cut -d: -f1 | xargs bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/groupadd -g 19 -o -f floppy > /dev/null

%files
%defattr(-,root,root)
/dev/MAKEDEV
/usr/man/man8/MAKEDEV.8.bz2

%changelog
* Wed Mar 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.5-6mdk
- Adjust groups again.

* Mon Mar 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.5-5mdk
- Adjust group.

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix typo :-(.

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Merge with RedHat MAKEDEV.

* Tue May 04 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sat May 01 1999 Alexandre Dussart     <adussart@mandrakesoft.com>
- French translation.

* Sat Apr 17 1999 Michael K. Johnson <johnsonm@redhat.com>
- create version 2.5 with a great many devices added from the 2.2 kernel
  devices.txt

* Tue Apr 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Update to 2.4.1.

* Tue Apr 13 1999 Preston Brown <pbrown@redhat.com>
- close bug #2157

* Fri Apr  9 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions:
  - bzip2 man page
  - move MAKEDEV to /usr/sbin - it's not a device!
  - add de locale

* Thu Mar 25 1999 Michael Johnson <johnsonm@redhat.com>
- sg unification
- nb devices

* Thu Mar 25 1999 Jakub Jelinek <jj@ultra.linux.cz>
- create correct /dev/console (c 5 1), support for SCSI
  disk devices sdi - sddx

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- glibc 2.1

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Thu Apr 23 1998 Prospector System <bugs@redhat.com>
- translations modified for fr, tr

* Thu Apr 23 1998 Erik Troan <ewt@redhat.com>
- fixed group add script (had -r instead of -o)

* Fri Apr 17 1998 Erik Troan <ewt@redhat.com>
- put -o option on groupadd after -g -- I hope Christian can tell me why

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- redirect groupadd call so that we're more quiet

* Fri Oct 24 1997 Michael K. Johnson <johnsonm@redhat.com>
- 2.3.1: use /usr/sbin/groupadd from new shadow utils

* Mon Sep 29 1997 Michael K. Johnson <johnsonm@redhat.com>
- Updated to 2.3, as Nick agreed to me making an interim release while
  he figures out whether he wants to be the maintainer.

* Wed Sep 03 1997 Erik Troan <ewt@redhat.com>
- made a noarch package

* Tue Jul 08 1997 Erik Troan <ewt@redhat.com>
- added dependencies
